//
//
//

#include <stdio.h>
#include "cbr.h"

int main() {
    unsigned int num_cols = 7;
    char * cols[] = {
        "BER", "throughput",
        "mod_scheme", "tx_power",
        "noise_power", "path_loss",
        "utility"
    };
    float vals[num_cols];
    unsigned int i;
    for (i=0; i<num_cols; i++)
        vals[i] = 0.0f;
    int rc;

    cbr mycbr = cbr_create("ex1", "data", cols, num_cols);

    // add row here
    rc = cbr_add_row(mycbr, cols, vals, num_cols);

    // print
    cbr_print(mycbr);

    // clean up
    cbr_free(mycbr);

    printf("done.\n");
    return 0;
}

